<template>
  <v-app light>
    <v-content>
      <!-- <top-bar :is-drawer="isDrawer" @drawer="toogleDrawer" /> -->
      <top-bar />
      <!-- <navigation-drawer :is-drawer="isDrawer" /> -->
      <nuxt />
    </v-content>
  </v-app>
</template>

<script>
// import NavigationDrawer from "~/components/NavigationDrawer";
import TopBar from "~/components/TopBar";
export default {
  // components: { NavigationDrawer, TopBar },
  components: { TopBar },
  // middleware: 'superadmin',
  data() {
    return {
      fixed: false,
      title: "Vuetify.js",
      isDrawer: true
    };
  },
  computed: {
    role() {
      return this.$auth.user && this.$auth.user.role.name;
    },
    pageTitle() {
      return this.$route.name
        .split("-")
        .join(" ")
        .toUpperCase();
    }
  },
  mounted() {
    this.isDrawer = !(window.innerWidth < 960);
    if (this.role === "OPERATOR") {
      window.localStorage.clear();
      this.$router.go("/login");
    }
  },
  methods: {
    toogleDrawer(value) {
      this.isDrawer = value;
    }
  }
};
</script>

<style lang="scss">
.v-content {
  background-color: #f6f6f6;
}
</style>
